Package org.springframework.security.config

# Interface Customizer<T>

Type Parameters:
  `T` - the type of the input to the operation

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface Customizer<T>
Callback interface that accepts a single input argument and returns no result.

Since:
  5.2

## Method Summary

Modifier and Type
Method
Description
`void`
`customize(T t)`
Performs the customizations on the input argument.
`static <T> Customizer<T>`
`withDefaults()`
Returns a `Customizer` that does not alter the input argument.

## Method Details

### customize

void customize(T t)
Performs the customizations on the input argument.

Parameters:
  `t` - the input argument

### withDefaults

static <T> Customizer<T> withDefaults()
Returns a `Customizer` that does not alter the input argument.

Returns:
  a `Customizer` that does not alter the input argument.